// Figure\Trougao.java - Klasa za trouglove u ravni (Trougao).

package Figure;

import Citaj;

public class Trougao extends Figura {
  private double a, b, c;
  public Trougao (double aa, double bb, double cc, Tacka tt) 
    { super (tt); a = aa; b = bb; c = cc; }
  public Trougao (double aa, double bb, double cc)
    { this (aa, bb, cc, Tacka.ORG); }
  public Trougao (double aa, double bb) { this (aa, bb, bb, Tacka.ORG); }
  public Trougao (double aa)            { this (aa, aa, aa, Tacka.ORG); }
  public Trougao ()                     { this (1, 1, 1, Tacka.ORG); }
  public Figura kopija () { return new Trougao (a, b, c, T); }
  public double O () { return a + b + c; }
  public double P () {
    double s = (a + b + c) / 2;
    return Math.sqrt (s * (s-a) * (s-b) * (s-c));
  }
  public void citaj () { super.citaj (); 
    a = Citaj.Double (); b = Citaj.Double (); c = Citaj.Double ();
  }
  public String toString () { 
    return "troug[" + super.toString() + ", a=" + a + ", b=" + b + 
      ", c=" + c + ", O=" + O() + ", P=" + P() + "]"; 
  }
}
