// stek1.cpp - Definicije metoda uz klasu Stek.

#include "stek1.h"
#include <stdlib.h>

void Stek::kopiraj (const Stek &s) {     // Kopiraj stek.
  niz = new int [kap = s.kap];
  vrh = s.vrh;
  for (int i=0; i<vrh; i++) niz[i] = s.niz[i];
}

void Stek::stavi (int k) {               // Stavi podatak na stek.
  if (vrh == kap) {
    cout << "\n*** Sek je pun ***\a\n";
    exit (1);
  }
  niz[vrh++] = k;
}

int Stek::uzmi () {                      // Uzmi podatak sa steka.
  if (vrh == 0) {
    cout << "\n*** Sek je prazan ***\a\n";
    exit (2);
  }
  return niz[--vrh];
}

ostream & operator<< (ostream &d, const Stek &s) { // Ispisivanje.
  for (int i=s.vrh; i>0; d<<s.niz[--i]<<' ');
  return d;
}
