// osobet2.cpp - Ispitivanje svih klasa za razne vrste osoba.

#include "osoba.h"
#include "djak.h"
#include "zaposl.h"
#include "sef.h"
#include <iostream.h>

void main () {

    cout << "\nBroj osoba? "; int n; cin >> n;
    Osoba **osobe = new Osoba * [n];

    // Citanje podataka o razlicitim vrstama osoba.
    for (int i=0; i<n; i++) {
      cout << "\nVrsta osobe (O, D, Z, S)? ";
      char izbor; cin >> izbor;
      switch (izbor) {
        case 'O': case 'o': osobe[i] = new Osoba    ; break;
        case 'D': case 'd': osobe[i] = new Djak     ; break;
        case 'Z': case 'z': osobe[i] = new Zaposleni; break;
        case 'S': case 's': osobe[i] = new Sef      ; break;
      }
      cin >> *osobe[i];
    }

    // Prikazivanje podataka o osobama.
    cout << "\n===============================\n";
    for (i=0; i<n; i++) cout << endl << *osobe[i] << endl;

    // Formiranje kopije niza osoba.
    Osoba **novi = new Osoba * [n];
    cout << "\n===============================\n";
    for (i=0; i<n; i++) {
      novi[i] = osobe[i]->kopija (); cout << endl << *novi[i] << endl;
    }

}

