// Osoba.java - Definicija osoba (Osoba).

// Osoba ima ime i datum rodjenja.

class Osoba {

  protected String ime;
  protected int rodjen;

  public Osoba () {}

  public Osoba (String im, int ro) { ime = im; rodjen = ro; }

  public Osoba kopija () { return new Osoba (ime, rodjen); }

  final public void postaviIme (String im) { ime = im; }

  final public void postaviRodjen (int ro) { rodjen = ro; }

  final public String dohvatiIme    () { return ime;    }

  final public int    dohvatiRodjen () { return rodjen; }

  public void citaj () {
    System.out.print ("Ime?     "); ime    = Citaj.String ();
    System.out.print ("Rodjen?  "); rodjen = Citaj.Int    ();
  }

  public String toString () { return ime + " (" + rodjen + ")"; }

}

