// OsobeT2.java - Ispitivanje svih klasa za razne vrste osoba.

class OsobeT2 {
  static public void main (String[] argi) {

    System.out.print ("\nBroj osoba? ");
    Osoba[] osobe = new Osoba [Citaj.Int()];

    // Citanje podataka o razlicitim vrstama osoba.
    for (int i=0; i<osobe.length; i++) {
      System.out.print ("\nVrsta osobe (O, D, Z, S)? ");
      switch (Citaj.Char()) {
        case 'O': case 'o': osobe[i] = new Osoba     (); break;
        case 'D': case 'd': osobe[i] = new Djak      (); break;
        case 'Z': case 'z': osobe[i] = new Zaposleni (); break;
        case 'S': case 's': osobe[i] = new Sef       (); break;
      }
      osobe[i].citaj ();
    }

    // Ispisivanje podataka o osobama u nizu.
    System.out.print ("\n===============================\n");
    for (int i=0; i<osobe.length; i++) {
      System.out.print ("\n" + osobe[i] + "\n");
    }

    // Formiranje kopije niza osoba.
    Osoba[] novi = new Osoba [osobe.length];
    System.out.print ("\n===============================\n");
    for (int i=0; i<osobe.length; i++) {
      novi[i] = osobe[i].kopija ();
      System.out.print ("\n" +novi[i] + "\n");
    }

    // Izracunavanje ukupne plate svih zaposlenih.
    float ukupnaPlata = 0;
    for (int i=0; i<osobe.length; i++)
      if (osobe[i] instanceof Zaposleni)
        ukupnaPlata += ((Zaposleni) osobe[i]).plata ();
    System.out.print ("\n===============================\n\n" +
                      "Ukupna plata = " + ukupnaPlata + "\n");
  }
}

