// Sef.java - Definicija klase za sefove (Sef).

// Sef je zaposleni koji prima sefovski dodatak.

class Sef extends Zaposleni {

  private double dodatak;

  public Sef () { super (); }

  public Sef (String im, int ro,
              String fi, double sa, double rs, double sd)
    { super (im, ro, fi, sa, rs); dodatak = sd; }

  public Osoba kopija () { return new Sef (ime, rodjen, firma,
                                           satnica, rSati, dodatak); }

  final public void   postaviDodatak (double sd) { dodatak = sd; }

  final public double dohvatiDodatak () { return dodatak; }

  public double plata () { return super.plata () + dodatak; }

  public void citaj () {
    super.citaj ();
    System.out.print ("Dodatak? "); dodatak = Citaj.Double ();
  }

  public String toString () {
    return new Osoba (ime, rodjen) + "\n" + firma + 
      " (" + satnica + "*" + rSati + "+" + dodatak + "=" + plata () + ")";
  }

}

