// Figure\Figura.java - Apstraktna kasa za figure u ravni (Figura).

package Figure;

public abstract class Figura {
  protected Tacka T;
  public Figura (Tacka T) { this.T = new Tacka (T); }
  public Figura ()        { this (Tacka.ORG); }
  final public void postavi (double xx, double yy) 
  { T = new Tacka (xx, yy); }
  final public void pomeri  (double dx, double dy) 
  { T = new Tacka (T.aps()+dx, T.aps()+dy); }
  public abstract Figura kopija ();
  public abstract double O ();
  public abstract double P ();
  public void citaj () { T.citaj (); }
  public String toString () { return "T=" + T; }
}
