// Proizvodjac.java - Klasa za proizvodjace.

public class Proizvodjac extends Thread {
  private Skladiste skladiste;
  private int minVreme, maxVreme, redniBroj;

  private static int ukupnoBrojeva = 0;

  public Proizvodjac (Skladiste skladiste,
                      int minVreme, int maxVreme) { 
    this.minVreme = minVreme; this.maxVreme = maxVreme; 
    this.skladiste = skladiste; redniBroj = ++ukupnoBrojeva; 
  }

  public void run () {
    System.out.println ("Proizvodjac #" + redniBroj + " poceo je da radi");
    while (true) {
      long vreme = (long)((minVreme + 
                   Math.random() * (maxVreme-minVreme)) * 1000);
      try { Thread.sleep (vreme); } catch (InterruptedException e) {}
      int vredn = (int)(Math.random () * 1000);
      skladiste.stavi (vredn);
      System.out.println ("Proizvodjac #" + redniBroj +
        " stavio je [" + vredn + "] u skladiste #" +
        skladiste.broj() + "(" + skladiste.puno() + "/" +
        skladiste.prazno() + ")");
    }
  }
}
