// Stanje.java - Klasa za prikazivanje satanja skladista.

public class Stanje extends Thread {
  Skladiste skladiste; int perioda;

  Stanje (Skladiste skladiste, int perioda) {
    this.skladiste = skladiste; this.perioda = perioda;
  }

  public void run () {
    while (true) {
      synchronized (skladiste) {
        System.out.println ("U skladistu #" + skladiste.broj() + 
          " popunjeno je " + skladiste.puno() + " i prazno je " +
          skladiste.prazno() + " mesta");
        try { Thread.sleep (perioda*1000); }
          catch (InterruptedException e) {}
      }
    }
  }
}

